import { deepMerge } from '@teamix/utils';
import useDialogAction from './dialog';
export function useNoticeAction(action, context) {
  return useDialogAction(deepMerge({
    dialogQuickShowType: 'confirm',
    messageProps: {
      type: 'notice'
    }
  }, action), context);
}
export default useNoticeAction;